ValueError while 'deeplabcut.evaluate_network("config.yaml", plotting=True)'

After 200 000 iterations of training I’m trying to evaluate the network by

‘deeplabcut.evaluate_network(“config.yaml”, plotting=True)’

but got this error:

 deeplabcut.evaluate_network("config.yaml", plotting=True)
---------------------------------------------------------------------------
ValueError                                Traceback (most recent call last)
<ipython-input-19-1bd791e5dcf6> in <module>()
----> 1 deeplabcut.evaluate_network("config.yaml", plotting=True)

c:\users\user\anaconda3\envs\teste\lib\site-packages\deeplabcut\pose_estimation_tensorflow\evaluate.py in evaluate_network(config, Shuffles, plotting, show_errors, comparisonbodyparts, gputouse)
     91     # Loading human annotatated data
     92     trainingsetfolder=auxiliaryfunctions.GetTrainingSetFolder(cfg)
---> 93     Data=pd.read_hdf(os.path.join(cfg["project_path"],str(trainingsetfolder),'CollectedData_' + cfg["scorer"] + '.h5'),'df_with_missing')
     94     # Get list of body parts to evaluate network for
     95     comparisonbodyparts=auxiliaryfunctions.IntersectionofBodyPartsandOnesGivenbyUser(cfg,comparisonbodyparts)

c:\users\user\anaconda3\envs\teste\lib\site-packages\pandas\io\pytables.py in read_hdf(path_or_buf, key, mode, **kwargs)
    347                 'File %s does not exist' % path_or_buf)
    348
--> 349         store = HDFStore(path_or_buf, mode=mode, **kwargs)
    350         # can't auto open/close if we are using an iterator
    351         # so delegate to the iterator

c:\users\user\anaconda3\envs\teste\lib\site-packages\pandas\io\pytables.py in __init__(self, path, mode, complevel, complib, fletcher32, **kwargs)
    443                  fletcher32=False, **kwargs):
    444         try:
--> 445             import tables  # noqa
    446         except ImportError as ex:  # pragma: no cover
    447             raise ImportError('HDFStore requires PyTables, "{ex}" problem '

c:\users\user\anaconda3\envs\teste\lib\site-packages\tables\__init__.py in <module>()
     91
     92 # Necessary imports to get versions stored on the cython extension
---> 93 from .utilsextension import (
     94     get_pytables_version, get_hdf5_version, blosc_compressor_list,
     95     blosc_compcode_to_compname_ as blosc_compcode_to_compname,

__init__.pxd in init tables.utilsextension()

ValueError: numpy.ufunc size changed, may indicate binary incompatibility. Expected 216 from C header, got 192 from PyObject

Nvidia GPU TITAN V
Windows 10
Numpy version 1.14.5

Thanks for any help :slight_smile: !!

Hi @martimseco,

Your path is formatted incorrectly, hence the error 'File %s does not exist' % path_or_buf) the correct format must always be either the full path to the config file, and/or you can set a variable first:

Namely, config_path below would be (for Windows*):

config_path = r`C:\Users\computername\projectolder\config.yaml'

deeplabcut.evaluate_network(config_path,Shuffles=[1], plotting=True)

*for linux (i.e. Ubuntu or MacOS, here is the correct format: config_path = '/home/omputername/projectolder/config.yaml'

This information can be found in the docs here:

Thank you !

With that change another error apear. This time is the error is this:

`(teste) C:\Users\User\Desktop\DeepLabCut-master\examples\MartimZoom>ipython
Python 3.6.8 |Anaconda, Inc.| (default, Feb 21 2019, 18:30:04) [MSC v.1916 64 bit (AMD64)]
Type ‘copyright’, ‘credits’ or ‘license’ for more information
IPython 6.0.0 – An enhanced Interactive Python. Type ‘?’ for help.

In [1]: import deeplabcut
In [2]: config_path= r’C:\Users\User\Desktop\DeepLabCut-master\examples\MartimZoom\config.yaml’
In [3]: deeplabcut.evaluate_network(config_path,Shuffles=[1], plotting=True)

ImportError Traceback (most recent call last)
C:\Users\User\AppData\Roaming\Python\Python36\site-packages\pandas\io\pytables.py in init(self, path, mode, complevel, complib, fletcher32, **kwargs)
446 try:
–> 447 import tables # noqa
448 except ImportError as ex: # pragma: no cover

c:\users\user\anaconda3\envs\teste\lib\site-packages\tables_init_.py in ()
130 from .exceptions import *
–> 131 from .file import File, open_file, copy_file
132 from .node import Node

c:\users\user\anaconda3\envs\teste\lib\site-packages\tables\file.py in ()
34
—> 35 from . import hdf5extension
36 from . import utilsextension

ImportError: DLL load failed: Impossível localizar o procedimento especificado.

During handling of the above exception, another exception occurred:

ImportError Traceback (most recent call last)
in ()
----> 1 deeplabcut.evaluate_network(config_path,Shuffles=[1], plotting=True)

C:\Users\User\AppData\Roaming\Python\Python36\site-packages\deeplabcut\pose_estimation_tensorflow\evaluate.py in evaluate_network(config, Shuffles, plotting, show_errors, comparisonbodyparts, gputouse)
91 # Loading human annotatated data
92 trainingsetfolder=auxiliaryfunctions.GetTrainingSetFolder(cfg)
—> 93 Data=pd.read_hdf(os.path.join(cfg[“project_path”],str(trainingsetfolder),‘CollectedData_’ + cfg[“scorer”] + ‘.h5’),‘df_with_missing’)
94 # Get list of body parts to evaluate network for
95 comparisonbodyparts=auxiliaryfunctions.IntersectionofBodyPartsandOnesGivenbyUser(cfg,comparisonbodyparts)

C:\Users\User\AppData\Roaming\Python\Python36\site-packages\pandas\io\pytables.py in read_hdf(path_or_buf, key, mode, **kwargs)
338 ‘File %s does not exist’ % path_or_buf)
339
–> 340 store = HDFStore(path_or_buf, mode=mode, **kwargs)
341 # can’t auto open/close if we are using an iterator
342 # so delegate to the iterator

C:\Users\User\AppData\Roaming\Python\Python36\site-packages\pandas\io\pytables.py in init(self, path, mode, complevel, complib, fletcher32, **kwargs)
448 except ImportError as ex: # pragma: no cover
449 raise ImportError('HDFStore requires PyTables, “{ex}” problem ’
–> 450 ‘importing’.format(ex=str(ex)))
451
452 if complib is not None and complib not in tables.filters.all_complibs:

ImportError: HDFStore requires PyTables, “DLL load failed: Impossível localizar o procedimento especificado.” problem importing
`

I already try :
pip install h5py==2.9.0
pip install h5py==2.8.0
pip install pytables
import h5py
import tables

This is the exact same error i get while doing the create data set.

Thanks one more time :slight_smile:

I would use this env file, as you may need to install Tables via conda, so this is easiest: https://github.com/AlexEMG/DeepLabCut/tree/master/conda-environments

THANK YOU !!! I wish I had done that from the begging… Well thank you again !!

1 Like